Create source
curl -X POST "//v1/spaces/example_string/sources" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (API Key)" \
-d '{
"type": "URI",
"name": "John Doe",
"initial_data": {
"url": "example_string",
"uri": "example_string",
"source_ids": [
"example_string"
],
"data": "example_string"
},
"collectionId": "example_string",
"instructions": {},
"description": "example_string"
}'
import requests
import json
url = "//v1/spaces/example_string/sources"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (API Key)"
}
data = {
"type": "URI",
"name": "John Doe",
"initial_data": {
"url": "example_string",
"uri": "example_string",
"source_ids": [
"example_string"
],
"data": "example_string"
},
"collectionId": "example_string",
"instructions": {},
"description": "example_string"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("//v1/spaces/example_string/sources", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (API Key)"
},
body: JSON.stringify({
"type": "URI",
"name": "John Doe",
"initial_data": {
"url": "example_string",
"uri": "example_string",
"source_ids": [
"example_string"
],
"data": "example_string"
},
"collectionId": "example_string",
"instructions": {},
"description": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"type": "URI",
"name": "John Doe",
"initial_data": {
"url": "example_string",
"uri": "example_string",
"source_ids": [
"example_string"
],
"data": "example_string"
},
"collectionId": "example_string",
"instructions": {},
"description": "example_string"
}`)
req, err := http.NewRequest("POST", "//v1/spaces/example_string/sources", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (API Key)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('//v1/spaces/example_string/sources')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (API Key)'
request.body = '{
"type": "URI",
"name": "John Doe",
"initial_data": {
"url": "example_string",
"uri": "example_string",
"source_ids": [
"example_string"
],
"data": "example_string"
},
"collectionId": "example_string",
"instructions": {},
"description": "example_string"
}'
response = http.request(request)
puts response.body
{}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
/v1/spaces/{spaceId}/sourcesUser API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.
The media type of the request body
URI: url or uri required. COMPOSITION: source_ids required. FILE: data with fileKey from S3 presign response. CONTENT: data with inline content.
Processing options. Optional postback_url (HTTPS) — Ctxfy sends an HTTP POST when the source reaches COMPLETED, FAILED, or CANCELED.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (API Key). User API Key. Create in the Ctxfy dashboard or via POST /v1/api-keys. Use Bearer <api_key> in Authorization header.
Path Parameters
Body
URIFILECONTENTCOMPOSITIONURI: url or uri required. COMPOSITION: source_ids required. FILE: data with fileKey from S3 presign response. CONTENT: data with inline content.
Processing options. Optional postback_url (HTTPS) — Ctxfy sends an HTTP POST when the source reaches COMPLETED, FAILED, or CANCELED.
Responses
Last updated Feb 19, 2026
Built with Documentation.AI